[@rxap/material-table-system](../wiki/globals) / TableShowArchivedSlideComponent

# Class: TableShowArchivedSlideComponent

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:26](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts#L26)

## Implements

- `AfterViewInit`

## Constructors

### new TableShowArchivedSlideComponent()

> **new TableShowArchivedSlideComponent**(`tableFilter`, `tableColumnMenu`, `selectRows`): [`TableShowArchivedSlideComponent`](../wiki/Class.TableShowArchivedSlideComponent)

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts#L31)

#### Parameters

##### tableFilter

`null` | [`TableFilterService`](../wiki/Class.TableFilterService)

##### tableColumnMenu

[`TableColumnMenuComponent`](../wiki/Class.TableColumnMenuComponent)

##### selectRows

`null` | [`SelectRowService`](../wiki/Class.SelectRowService)\<`unknown`\>

#### Returns

[`TableShowArchivedSlideComponent`](../wiki/Class.TableShowArchivedSlideComponent)

## Properties

### paginator?

> `optional` **paginator**: `MatPaginator`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:29](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts#L29)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:61](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts#L61)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### onChange()

> **onChange**(`$event`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts:42](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-show-archived-slide/table-show-archived-slide.component.ts#L42)

#### Parameters

##### $event

`MatSlideToggleChange`

#### Returns

`void`
